Package org.eclipse.lemminx.telemetry

## Class TelemetryCache

- java.lang.Object
- - org.eclipse.lemminx.telemetry.TelemetryCache

    public class TelemetryCache
    extends Object

Store telemetry data for transmission at a later time

### Constructor Summary

Constructors
`TelemetryCache()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`Map<String,​Object>` `getProperties()`
`boolean` `isEmpty()`
`void` `put​(String key)`
`void` `put​(String key, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TelemetryCache

    public TelemetryCache()

### Method Detail

#### put

    public void put​(String key)

#### put

    public void put​(String key,
                    String value)

#### getProperties

    public Map<String,​Object> getProperties()

#### isEmpty

    public boolean isEmpty()

#### clear

    public void clear()